complexType "FxOptionPremium"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference, payerAccountReference?, receiverPartyReference, receiverAccountReference?, paymentDate, paymentAmount, settlementInformation?, quote?
</...>

Content Model Elements (8):

  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  paymentAmount (defined in NonNegativePayment complexType),
  paymentDate (defined in PaymentBaseExtended complexType),
  quote (defined in FxOptionPremium complexType),
  receiverAccountReference,
  receiverPartyReference,
  settlementInformation (defined in FxOptionPremium complexType)

All Direct / Indirect Based Elements (2):

  premium (in fxDigitalOption), | premium (in fxOption)

Known Usage Locations

- As direct type of elements (2):

  premium (in fxDigitalOption), | premium (in fxOption)

Annotation
A type that specifies the premium exchanged for a single option trade or option strategy.
Type Definition Detail

Type Derivation Tree PaymentBase (extension) PaymentBaseExtended (extension) NonNegativePayment (extension) FxOptionPremium

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="FxOptionPremium"> <xsd:complexContent> <xsd:extension base="NonNegativePayment"> <xsd:sequence> <xsd:element minOccurs="0" name="settlementInformation" type="SettlementInformation"/> <xsd:element minOccurs="0" name="quote" type="PremiumQuote"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/8)
quote

  Type: | PremiumQuote, complex content

  This is the option premium as quoted. It is expected to be consistent with the premiumAmount and is for information only.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quote" type="PremiumQuote"/>

settlementInformation

  Type: | SettlementInformation, complex content

  The information required to settle a currency payment that results from a trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementInformation" type="SettlementInformation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.